%define glib2_version 2.0.0
%define pango_version 1.0.99
%define gtk2_version 2.0.3
%define gconf2_version 1.2.0
%define gnome_vfs2_version 2.0.0
%define libgnomeui_version 2.0.0
%define libgnome_version 2.0.0
%define librep_version 0.16.1

Name: rep-gtk
Version:     0.18
Release:     0vl2
Summary:     GTK+ binding for librep Lisp environment
Summary(ja): librep Lisp Ķ GTK+ Хǥ
License:     GPL
Group:       Development/Languages
Source:      http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.gz
URL:         http://rep-gtk.sourceforge.net/
Buildroot:   %{_tmppath}/%{name}-%{version}-root
Requires:      librep >= %{librep_version}, gtk2 >= %{gtk2_version}
BuildRequires: librep-devel >= %{librep_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}

#BuildPreReq: gtk2-devel libglade2-devel libgnomeui-devel libgnome-devel

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%description -l ja
rep-gtk  librep Lisp 󥿥ץ꥿ GTK+ Хǥ󥰤Ǥ
Marius Vollmer  guile-gtk ѥå ( 0.15 ǡߥС
0.17) ١Ȥơ glue-code ͥ졼ɲäƤޤ


%package libglade
Summary:     librep binding for the libglade library for loading user interfaces.
Summary(ja): librep  libglade Хǥ
Group:       Development/Languages
Requires:    %{name} = %{version}, libglade2


%description libglade
This is a binding of libglade for the librep Lisp interpreter. libglade
allows applications to dynamically load XML descriptions of GTK+ widget
hierarchies. These hierarchies may be created by the GLADE GUI builder.

%description libglade -l ja
rep-gtk-libglade  librep Lisp 󥿥ץ꥿ libglade Хǥ󥰤Ǥ
libglade Ȥȡץꥱ󤫤 GTK+ åȳؤ򵭽Ҥ
XML ľɤߤळȤޤ XML ե GLADE GUI ӥˤä
뤳Ȥޤ


%package gnome
Summary:     GNOME binding for librep
Summary(ja): librep  GNOME Хǥ
Group:       Development/Languages
Requires:    %{name} = %{version}, libgnomeui, libglade2


%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, the GNOME Canvas architecture, and the
GNOME version of libglade.

%description gnome -l ja
rep-gtk-gnome  librep Lisp 󥿥ץ꥿͡ GNOME 饤֥
٤ΥХǥ󥰤ǤŪ GNOME εǽ顤GNOME
桼󥿥եåȡGNOME Canvas ƥ㡤ˤ
GNOME  libglade ͡ʼ򥵥ݡȤƤޤ


%prep
%setup


%build
export CC=%{_target_platform}-gcc
%{configure} --with-gnome --with-libglade
make host_type=%{_target_platform}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    installdir=$RPM_BUILD_ROOT%{_libexecdir}/rep/%{_target_platform}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README README.guile-gtk BUGS ChangeLog gtk.defs gdk.defs
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/gtk.so
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/gtk.la
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/types.so
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/types.la

%files libglade
%defattr(-,root,root)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/libglade.so
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/libglade.la


%files gnome
%defattr(-,root,root)
%doc gnome*.defs gdk-pixbuf.defs libglade.defs
%doc examples/gnome-test examples/canvas-test examples/canvas-pixbuf-test 
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/gnome-*.so
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/gnome-*.la


%changelog
* Tue Feb 17 2004 Tomohito MAKINO <tomohito@ueda.info.waseda.ac.jp> 0.18-0vl2
- sync {|Build}Requires,BuildPreReq with Fedora Core Development

* Sun Feb 15 2004 Tomohito MAKINO <tomohito@ueda.info.waseda.ac.jp> 0.18-0vl1.1
- add "export CC=%{_target_platform}-gcc" (libtool, automake, or other's bug?)

* Sun Jan 18 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18-0vl1
- updated to 0.18
- rebuild with new toolchains
- change Requires: and BuildPreReq: for Gnome2 bindings
- s/Copyright/License/

* Mon Jan 20 2003 Satoshi MACHINO <machino@vinelinux.org> 0.15-1vl4
- rebuild to remove old librep depandancy, it depended on gmp-2

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-1vl3
- rebuild to remove rpmlib dependancy

* Sun May 20 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.15-1vl2
- rebuilt with librep = 0.13.6
- added Japanese summary and description

* Wed Dec 20 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.15-1vl1
- rebuilt under rpm-3.0.6-0vl8

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
